searchData={"items":[{"type":"module","title":"WaifuVault","doc":"This API wrapper is meant to conform to the [WaifuVault Swagger docs](https://waifuvault.moe/api-docs/).\n\n```\nrequire WaifuVault\n```","ref":"WaifuVault.html"},{"type":"function","title":"WaifuVault.create_album/2","doc":"The create_album/2 creates an album within the specified bucket.","ref":"WaifuVault.html#create_album/2"},{"type":"function","title":"Examples - WaifuVault.create_album/2","doc":"```\niex> {:ok, album} = waifuvault.create_album(\"some-bucket-token\", \"album-name\")\n{:ok, Map}\n```","ref":"WaifuVault.html#create_album/2-examples"},{"type":"function","title":"WaifuVault.create_bucket/0","doc":"Buckets are virtual collections that are linked to your IP and a token. When you create a bucket, you will receive a bucket token that you can use in Get Bucket to get all the files in that bucket\n\nNOTE: Only one bucket is allowed per client IP address, if you call it more than once, it will return the same bucket token\n\nTo create a bucket, use the create_bucket function. This function does not take any arguments.","ref":"WaifuVault.html#create_bucket/0"},{"type":"function","title":"Examples - WaifuVault.create_bucket/0","doc":"```\niex> {:ok, bucket} = WaifuVault.create_bucket()\n{:ok, \"some-uuid-type-value\"}\n```","ref":"WaifuVault.html#create_bucket/0-examples"},{"type":"function","title":"WaifuVault.delete_bucket/1","doc":"Deleting a bucket will delete the bucket and all the files it contains.\n\nIMPORTANT: All contained files will be DELETED along with the Bucket!","ref":"WaifuVault.html#delete_bucket/1"},{"type":"function","title":"Examples - WaifuVault.delete_bucket/1","doc":"```\niex> {:ok, boolean} = WaifuVault.delete_bucket(\"some-valid-uuid-token\")\n{:ok, true}\n```","ref":"WaifuVault.html#delete_bucket/1-examples"},{"type":"function","title":"WaifuVault.get_album/1","doc":"The get_album/1 function returns album info, given either the public or private token.","ref":"WaifuVault.html#get_album/1"},{"type":"function","title":"Examples - WaifuVault.get_album/1","doc":"```\niex> {:ok, boolean} = WaifuVault.get_album(\"some-valid-album-token\")\n{:ok, Map}\n```","ref":"WaifuVault.html#get_album/1-examples"},{"type":"function","title":"WaifuVault.get_bucket/1","doc":"The get_bucket/1 function returns the list of files and albums contained in a bucket.\nThe bucket has a `dateCreated` value that can be converted\nwith `DateTime.from_unix( dateCreated, :millisecond)`\n\nIndividual files have a `retentionPeriod` which is the UNIX timestamp in milliseconds for when the\nfile will expire. It can be converted with `DateTime.from_unix( retentionPeriod, :millisecond)`","ref":"WaifuVault.html#get_bucket/1"},{"type":"function","title":"Examples - WaifuVault.get_bucket/1","doc":"```\niex> {:ok, boolean} = WaifuVault.get_bucket(\"some-valid-uuid-token\")\n{:ok, Map}\n```","ref":"WaifuVault.html#get_bucket/1-examples"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.36.1"}}